Pave Bank
FX

Estimate Rate

Obtain the estimated rate between currency pairs

Example Request

curl -X POST "https://api.pavebank.com/v1/estimate-rate" \
  --header "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  --data '{
	"base_account_id": "account_USD123",
	"quote_account_id": "account_SGD123",
	"requested_asset": "USD",
	"requested_amount": "100000",	
  }'

Example Response

{
  "base_asset": "USD",
  "base_amount": "100000",
  "quote_asset": "SGD",
  "quote_amount": "125754",
  "requested_asset": "USD",
  "requested_amount": "100000",
  "exchange_rate": "1.257537498",
  "timestamp": 1753323849
}
POST
/v1/estimate-rate

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
base_account_idRequiredstring

Account ID of the base currency. For example, if the desired base of a currency pair is USD, this will need to be the account ID of the USD current account. Account IDs should be prefixed with the word 'account', e.g. 'account_12345'

quote_account_idRequiredstring

Account ID of the quote currency. For example, if the desired quote of a currency pair is USD, this will need to be the account ID of the USD current account. Account IDs should be prefixed with the word 'account', e.g. 'account_12345'

requested_amountRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

requested_assetRequiredstring

The currency in which the amount is made (e.g. USD, EUR, SGD)

Response Body

Success response

base_amountstring

Part of a currency pair. The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

base_assetstring

The currency in which the amount is made (e.g. USD, EUR, SGD)

exchange_ratestring

The exchange rate between the currency pair

quote_amountstring

Part of a currency pair. The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

quote_assetstring

The currency in which the amount is made (e.g. USD, EUR, SGD)

requested_amountstring

The requested amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

requested_assetstring

The currency in which the amount is made (e.g. USD, EUR, SGD)

timestampinteger

In UNIX

Format: "int64"
curl -X POST "https://developer-api-staging.pavebank.dev/v1/estimate-rate" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "base_account_id": "string",
    "quote_account_id": "string",
    "requested_amount": "string",
    "requested_asset": "string"
  }'
{
  "base_amount": "string",
  "base_asset": "string",
  "exchange_rate": "string",
  "quote_amount": "string",
  "quote_asset": "string",
  "requested_amount": "string",
  "requested_asset": "string",
  "timestamp": 0
}